<template>
    <div class="element-switch">
        <div
            v-if="current"
            class="element-switch__content"
        >
            {{ current }}
        </div>
        <div class="element-switch__actions">
            <img
                class="chevron_top"
                src="/images/chevron-down.svg"
                alt="chevron_down"
                @click="change('plus')"
            >
            <img
                class="chevron_bottom"
                src="/images/chevron-down.svg"
                alt="shevron_down"
                @click="change"
            >
        </div>
    </div>
</template>
<script>
export default {
    props: ['items', 'value'],
    data() {
        return {
            selected: 0,
        }
    },
    computed: {
        current() {
            return this.items[this.selected] || this.items[0]
        }
    },
    created() {
        const index = this.items.indexOf(this.value)
        this.selected = index > 0 ? index : 0
        
    },
    methods: {
        change(type) {
            if(type === 'plus') {
                if(this.selected !== this.items.length - 1) this.selected += 1
                else  this.selected = 0
            } else  {
                if(this.selected !== 0) this.selected -= 1
                else this.selected = this.items.length - 1
            }
            this.save()
        },
        save() {
            this.$emit('input', this.items[this.selected])
        }
    }
}
</script>